<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class managesetting extends CI_Controller {
    public $iconName;
    function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library(array('form_validation', 'session'));
        $this->load->model(array('usermodel','settingmodel'));
        if (!isset($this->session->userdata['id'])) {
            redirect(base_url('home/login'));
            exit;
        }
        
    }

    public function index() {
        $data['groupId'] = $this->session->userdata['role'];
        $data['links'] = '<a class="navbar-brand" href="home/logout"> Logout</a>';
        $this->load->view('header', $data);
        $this->load->view('settingGridView', $data);
        $data['pageName'] = str_replace('/', '', $_SERVER['REQUEST_URI']);
        $this->load->view('footer', $data);
    }

    public function getSettings($schoolid) {
        $data = array();
        $data['data'] = $this->settingmodel->getSettings($schoolid);

        echo json_encode($data);
    }

    public function createSetting() {
        
        
        if (isset($_POST['action']) && $_POST['action'] === 'create') {
            $studentInfo = $_POST['data'];
            
            $this->settingmodel->createSetting($studentInfo);
        }
        if (isset($_POST['action']) && $_POST['action'] === 'edit') {
            $studentInfo = $_POST['data'];
            
            $this->settingmodel->updateSetting($studentInfo);
        }
    }

}
