
var editor; // use a global for the submit and return data rendering in the examples



$(document).ready(function () {

    editor = new $.fn.dataTable.Editor({
        table: "#example",
        fields: [{
                label: "Term ID:",
                id: "termid",
                name: "termid"
            }, {
                label: "Term Name:",
                name: "termname",
                type: "text"
            }, {
                label: "Group Type:",
                name: "grouptypes"
            }, {
                label: "Schoollvel:",
                name: "level",
                type: "select",
                ipOpts: getSchoolLevels()
            }, {
                label: "Year",
                name: "year"
            }, {
                name: "id",
				type:"hidden"
            }


        ],
        ajax: path + "setting/createSetting"

    });
//    // Activate an inline edit on click of a table cell
//    $('#example').on('click', 'tbody td', function (e) {
//        editor.inline(this);
//    });

    

    var table = $('#example').DataTable({
        lengthChange: false,
        ajax: "setting/getSettings/"+schoolid,
        columns: [
            {data: "termid"},
            {data: "termname"},
            {data: "grouptypes"},
            {data: "schoollevels"},
            {data: "year"}

        ]
    });

    var tableTools = new $.fn.dataTable.TableTools(table, {
        sRowSelect: "os",
        aButtons: [
            //{sExtends: "editor_create", editor: editor},
            {sExtends: "editor_edit", editor: editor}
            //{sExtends: "editor_remove", editor: editor}
        ]
    });
    $(tableTools.fnContainer()).appendTo('#example_wrapper .col-xs-6:eq(0)');

    //var test= new Array({"label" : "a", "value" : "a"});
    function getSchoolLevels() {
        //test.splice(0, 1);
        var test = new Array();
        $.ajax({
            url: 'student/getSchoolLevels/' + schoolid,
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a], "value": (a + 1)};
                    test.push(obj);
                }
            }
        });
        return test;
    }
    
});


