-- phpMyAdmin SQL Dump
-- version 3.4.10.1deb1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 20. Jan 2017 um 17:36
-- Server Version: 5.5.54
-- PHP-Version: 5.3.10-1ubuntu3.25

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: `mykph3`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `competencies`
--

CREATE TABLE IF NOT EXISTS `competencies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `olmid` int(11) DEFAULT NULL,
  `name` text NOT NULL,
  `description` text,
  `schoollevel` int(11) DEFAULT NULL,
  `level` varchar(100) DEFAULT NULL,
  `groupname` varchar(100) DEFAULT NULL,
  `prerequisites` text,
  `parentid` int(11) NOT NULL DEFAULT '0',
  `childlevel` int(11) DEFAULT NULL,
  `schoolid` int(11) NOT NULL,
  `termid` int(11) DEFAULT NULL,
  `value` float DEFAULT '0',
  `difficulty` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=556 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `complog`
--

CREATE TABLE IF NOT EXISTS `complog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `compid` int(11) NOT NULL,
  `studid` int(11) NOT NULL,
  `settingsid` int(11) NOT NULL,
  `teacherid` int(11) NOT NULL,
  `value` double DEFAULT NULL,
  `timestamp` bigint(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2568 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `feedback`
--

CREATE TABLE IF NOT EXISTS `feedback` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subjectid` int(11) DEFAULT NULL,
  `studid` int(11) NOT NULL,
  `teacherid` int(11) NOT NULL,
  `timestamp` bigint(20) DEFAULT NULL,
  `feedback` longtext,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `groups`
--

CREATE TABLE IF NOT EXISTS `groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `grouptype` int(11) NOT NULL DEFAULT '0',
  `icon` varchar(200) NOT NULL DEFAULT 'dummy.gif',
  `members` text,
  `schoolid` int(11) DEFAULT NULL,
  `subjects` text,
  `owner` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=54 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `notes`
--

CREATE TABLE IF NOT EXISTS `notes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subjectid` int(11) DEFAULT NULL,
  `studid` int(11) NOT NULL,
  `settingsid` int(11) NOT NULL,
  `teacherid` int(11) NOT NULL,
  `timestamp` bigint(20) DEFAULT NULL,
  `note` longtext,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `people`
--

CREATE TABLE IF NOT EXISTS `people` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `firstname` varchar(100) NOT NULL,
  `surname` varchar(100) NOT NULL,
  `groups` text,
  `subjects` text,
  `icon` varchar(200) DEFAULT NULL,
  `schoolid` int(11) DEFAULT NULL,
  `language` varchar(100) NOT NULL,
  `role` int(11) NOT NULL,
  `settingsid` int(11) DEFAULT NULL,
  `schoollevel` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `archive` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=177 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `peoplearch`
--

CREATE TABLE IF NOT EXISTS `peoplearch` (
  `id` int(11) NOT NULL,
  `userid` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `firstname` varchar(100) NOT NULL,
  `surname` varchar(100) NOT NULL,
  `groups` text,
  `subjects` text,
  `icon` varchar(200) DEFAULT NULL,
  `schoolid` int(11) DEFAULT NULL,
  `language` varchar(100) NOT NULL,
  `role` int(11) NOT NULL,
  `settingsid` int(11) DEFAULT NULL,
  `schoollevel` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `archive` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `schools`
--

CREATE TABLE IF NOT EXISTS `schools` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `schoollevels` text NOT NULL,
  `levels` text NOT NULL,
  `currentterm` int(11) DEFAULT NULL,
  `currentsettings` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `termid` int(11) DEFAULT NULL,
  `termname` varchar(200) DEFAULT NULL,
  `grouptypes` text,
  `schoolid` int(11) DEFAULT NULL,
  `schoollevels` int(11) DEFAULT '4',
  `year` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `subjects`
--

CREATE TABLE IF NOT EXISTS `subjects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `competencies` text,
  `icon` varchar(200) NOT NULL DEFAULT 'dummy.gif',
  `members` text,
  `schoolid` int(11) DEFAULT NULL,
  `level` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=23 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `tokens`
--

CREATE TABLE IF NOT EXISTS `tokens` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `token` varchar(128) DEFAULT NULL,
  `peopleid` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
